import QtQuick 1.0
import QtMobility.sensors 1.2
import com.nokia.meego 1.0
import com.nokia.extras 1.0

Page{
    id:page
    property string name :"goPage"
    orientationLock: PageOrientation.LockPortrait

    onStatusChanged: {
        if(status == PageStatus.Activating)
            acc.active = true;
        else if(status == PageStatus.Inactive)
            acc.stop();
    }


    Image{
        anchors.fill: parent
        fillMode: "PreserveAspectCrop"
        source:"res/overlay1.png"
    }


    Accelerometer {
        id: acc
        active: false;

        onReadingChanged: {
            if(acc.reading.x > 20 || acc.reading.x < -20)
            {
                console.log("x")
                appState.findPage(resultPage,"resultPage");
                acc.stop();
            }
            else if(acc.reading.y > 20 || acc.reading.y < -20)
            {
                console.log("y")
                appState.findPage(resultPage,"resultPage");
                acc.stop();
            }
            else if(acc.reading.z >20 || acc.reading.z < -20)
            {
                console.log("z")
                appState.findPage(resultPage,"resultPage");
                acc.stop();
            }
        }

    }
}

