import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: splashScreen;
    SplashScreen{id:splashScreen}
    LocalDb{id:localDb}
    Component{id:goPage;GoPage{}}
    Component{id:resultPage; ResultPage{}}
    Component{id:initialPage;InitialPage{}}
    Component{id:taskPage; TaskPage{}}
    Component{id:namePage; NamePage{}}

    property real currentId:-1;

    Component.onCompleted: {
        localDb.initialize();
    }



    Item{
        id:appState

        function findPage(targetPage, pageName) {
            var isActive = false
            var result = pageStack.find(
                    function(page) {

                        if (page.name == pageName) {
                            if (page.status == 2) { // if it is active
                                // reload page
                                isActive = true
                            }
                            return true
                        }
                    })

            if (result != null) {
                if (isActive == false) {
                    // console.log("CASE #2: Page in stack, not active. Pop to page")
                    pageStack.pop(result)
                } else {
                    // console.log("CASE #3: Page in stack, currently active.")

                    // do nothing
                }

            } else if (result == null) {
                // console.log("CASE #1: Page not in stack")

                pageStack.push(targetPage)

            }
        }
    }


}
