import QtQuick 1.1
import com.nokia.meego 1.0

Page{
    id:page
    property string name :"initialPage"
    orientationLock: PageOrientation.LockPortrait

    Image{
        id:bgImg
        source:"res/splash.png"
        anchors.fill: parent
    }

    Image{
        id:btnStart
        x: 34
        y: 698
        smooth:true
        source:"res/btn-start.png"

        MouseArea{
            anchors.fill: parent
            onClicked: {
                appState.findPage(taskPage,"TaskPage")
            }
        }
    }

    Image{
        id:btnAbt
        x: 203
        y: 698
        smooth:true
        source:"res/btn-credit.png"
        MouseArea{
            anchors.fill: parent
            onClicked:{
                abtDialog.open();
            }
        }
    }

    Image{
        id:btnExt
        x: 366
        y: 698
        smooth:true
        source:"res/btn-exit.png"
        MouseArea{
            anchors.fill: parent
            onClicked:{
                Qt.quit();
            }
        }
    }

    QueryDialog{
        id:abtDialog
        icon: "res/icon-80.png"
        titleText: "Turns Up"
        message: "Little democracy app brought you by 2KG productions. Suggestion and feedback, email us at 2kg.production@gmail.com"
        rejectButtonText: "close"
    }


}
